{
	"name": "table/external/4d/resource/work_efficiency.json",
	"table_name": "work_efficiency",
	"table_prefix": "weff",
	"main_table": "work_load_group",
	"record_type": [""],
	"local_table": "resource_efficiency",
	"local_record_type": "",
	"table_number": 55,
	"field": [
		{
			"field_name": "change_id",
			"local_field": "modify_id",
			"field_type": "varchar",
			"field_length": 45,
			"field_number": 4
		},
		{
			"field_name": "creator_id",
			"local_field": "json_data.create_user",
			"field_type": "varchar",
			"field_length": 20,
			"field_number": 5
		},
		{
			"field_name": "efficiency",
			"local_field": "efficiency",
			"field_type": "double",
			"field_number": 15
		},
		{
			"field_name": "employee_count",
			"local_field": "person_count",
			"field_type": "integer",
			"field_number": 14
		},
		{
			"field_name": "employee_id",
			"local_field": "person_id",
			"field_type": "varchar",
			"field_length": 12,
			"field_number": 13,
			"constraint": ["index"],
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "employee_id",
					"linked_table": "employee"
				}
			],
			"nullable": true
		},
		{
			"field_name": "employee_skill",
			"local_field": "person_skill",
			"field_type": "varchar",
			"field_length": 20,
			"field_number": 17
		},
		{
			"field_name": "end_date",
			"local_field": "end_time",
			"field_type": "date",
			"field_number": 10
		},
		{
			"field_name": "firm_id",
			"local_field": "json_data.firm_id",
			"field_type": "integer",
			"field_number": 11
		},
		{
			"field_name": "info",
			"local_field": "info",
			"field_type": "text",
			"field_number": 16
		},
		{
			"field_name": "modifier_id",
			"local_field": "modify_user",
			"field_type": "varchar",
			"field_length": 20,
			"field_number": 6
		},
		{
			"field_name": "project_id",
			"local_field": "json_data.project_id",
			"field_type": "varchar",
			"field_length": 40,
			"field_number": 18
		},
		{
			"field_name": "record_id",
			"local_field": "record_id",
			"field_type": "varchar",
			"field_length": 45,
			"field_number": 1,
			"constraint": ["unique"]
		},
		{
			"field_name": "start_date",
			"local_field": "start_time",
			"field_type": "date",
			"field_number": 9
		},
		{
			"field_name": "state",
			"local_field": "resource_efficiency_state",
			"field_type": "integer",
			"field_number": 3,
			"constraint": ["index"]
		},
		{
			"field_name": "transfer_id",
			"local_field": "json_data.transfer_id",
			"field_type": "varchar",
			"field_length": 60,
			"field_number": 7
		},
		{
			"field_name": "transfer_state",
			"local_field": "json_data.transfer_state",
			"field_type": "integer",
			"field_number": 8
		},
		{
			"field_name": "type_",
			"local_field": "efficiency_type",
			"field_type": "integer",
			"field_number": 2,
			"constraint": ["index"]
		},
		{
			"field_name": "work_load_group_id",
			"local_field": "resource_id",
			"field_type": "varchar",
			"field_length": 12,
			"field_number": 12,
			"constraint": ["index"],
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "work_load_group_id",
					"linked_table": "work_load_group"
				}
			],
			"nullable": true
		}
	]
}
